#!/bin/sh
# Copyright © 2016 Collabora Ltd.
#
# SPDX-License-Identifier: MPL-2.0
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

set -e

if [ "$1" = configure ]; then
    adduser \
        --system \
        --quiet \
        --home /var/lib/rhosydd \
        --no-create-home \
        --disabled-password \
        --group \
        rhosydd

    # Apply ACLs to /usr/bin/rhosydd to ensure that it can only be executed by
    # the rhosydd user, and no other users except root.
    setfacl \
        -b /usr/bin/rhosydd \
        -m u::rx,m::rx,u:rhosydd:rx /usr/bin/rhosydd
fi

#DEBHELPER#

exit 0

# vim:set sts=4 sw=4 et:
